/*
 * Copyright (C) 2006 Folkert van Heusden <folkert@vanheusden.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

extern "C" {
void * mymalloc(int size, const char *what);
void * myrealloc(void *oldp, int newsize, const char *what);
char * mystrdup(const char *in);
char * mtstrndup(const char *in, int len);
void myfree(void *p, const char *what);
ssize_t WRITE(int fd, const char *whereto, size_t len);
int get_filesize(const char *filename);
time_t get_filechanged(const char *filename);
void resolve_host(const char *host, struct sockaddr_in *addr);
int connect_to(const char *hoststr);
int write_pidfile(const char *fname);
}
#define incopy(a)       *((struct in_addr *)a)

#define max(x, y)	((x) > (y) ? (x) : (y))
#define min(x, y)	((x) < (y) ? (x) : (y))
